{% extends 'layout.html' %}

{% block content %}

<div class="flex flex-col gap-4 py-4">
    {% for date in user_history %}
    <div class="grid grid-cols-1 md:grid-cols-4 lg:grid-cols-6 xl:grid-cols-8 px-8 py-8 bg-grey-light gap-4 rounded-lg">
        <div class="col-span-1 md:col-span-4 lg:col-span-6 xl:col-span-8 flex flex-col">
            <h2 class="text-2xl text-yellow" id="{{ date }}">{{ date }}</h2>
            <h3 class="text-xl">Total cost: {{ "€ %.2f"|format(user_history[date]['total_cost']) }} <span class="text-base">({{ user_history[date]['products']|length }} items)</span></h3>
        </div>
        {% for product in user_history[date]['products'] %}
            <div class="col-span-1 md:col-span-2 w-full grid grid-cols-4 items-center px-8 py-8 bg-grey-dark gap-4 rounded-lg">
                <p class="text-yellow">{{ product['time'] }}:</p>
                {% if product['picture'] == None %}
                    <div class="w-12 h-12 rounded-md bg-yellow"></div>
                {% else %}
                    <img class="w-12 h-12 rounded-md" src="https://api.tuks.dev{{ product['picture'] }}" alt="">
                {% endif %}
                <div class="col-span-2 flex flex-col">
                    <p class="text-yellow">{{ product['name'] }}</p>
                    <p>{{ "€ %.2f"|format(product['price']) }}</p>
                </div>
            </div>
        {% endfor %}
    </div>
    {% endfor %}
</div>

{% endblock content %}